<%
	component_id = (defined?(cmpID)) ? "#{cmpID}" : nil
	embed_url = (defined?(embedURL)) ? "#{embedURL}" : nil
	etc_menu_item_class = 'pull-right'
	embed_glyph =  '<i class="glyphicon glyphicon-share-alt"></i> Embed'.html_safe
	adl_glyph =  '<i class="glyphicon glyphicon-download-alt"></i> Download file'.html_safe
  file_format = (defined?(format)) ? "#{format.capitalize}" : ''
  embed_width = (format == 'audio') ? '629' : '560'
  embed_height = (format == 'audio') ? '46' : '315'
  file_size = (format == 'image') ? grabFileSize(:componentIndex=>component_id) : nil
  if file_size
    dim = file_size.split("x")
    embed_width = dim[0]
    embed_height = dim[1]
  end
%>


<% if !vrr_user? %>
  <div class="etc-menu">

    <%= link_to embed_glyph, "#embedLink-#{component_id}", class:etc_menu_item_class, role:'button', :data => { :toggle => 'modal' }, title:'Embed' %>

    <% if can?(:update, @document) || publicSourceDownload && !downloadFilePath.nil? && can_download?(@document, downloadFilePath.split('/').last) then %>
      <%= link_to adl_glyph, downloadFilePath, :rel => 'nofollow', class:etc_menu_item_class, title:'Download file' %>
    <% elsif can?(:read, @document) && can_download?(@document) && !downloadDerivativePath.nil?%>
      <%= link_to adl_glyph, downloadDerivativePath, :rel => 'nofollow', class:etc_menu_item_class, title:'Download file' %>
    <% end %>
 </div>

  <!-- BEGIN_EMBED_MODAL -->
  <div id="embedLink-<%=component_id%>" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="embedLinkLabel" aria-hidden="true">
    <div class="modal-header">
      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      <h3 id="embedLinkLabel">Embed</h3>
    </div>
    <div class="modal-body">
      <h4>Embed URL</h4>
      <input class="embedCode" readonly="readonly" type="text" onclick="this.focus();this.select()" value="<%=embed_url%>">
      <h4>Embed <%= file_format %></h4>
      <textarea class="embedCode" readonly="readonly" rows="2" wrap="hard" onclick="this.focus();this.select()">&lt;iframe src="<%=embed_url%>" width="<%= embed_width%>" height="<%= embed_height%>" frameborder="0"&gt;&lt;/iframe&gt;</textarea>
    </div>
    <div class="modal-footer">
      <button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
    </div>
  </div>
  <!-- /END_EMBED_MODAL -->
<% end %>
